坚果pro2 卡刷报错, Error:7

当前版本
机型:坚果pro2
ROM:MK90.0-osborn-200122-RELEASE.zip

操作步骤
操作:
在TWRP中卡刷报错 Error :7,怀疑可能是 assert 判断机型出错

解决方案:
按照https://forum.xda-developers.com/showthread.php?t=2522762中提供的解决方案成功刷入Mokee并正常开机

具体解决措施
把 “updater-script” 中ui_print("Target: Android/osborn/osborn:7.1.1/NGI77B/1560252258:user/dev-keys");所在那一行上方的代码全部删除

报错信息有说明是什么原因,根据原因解决。不要「怀疑」。

那些检查代码是为了防止你做傻事的。你删了,那以后遇到什么bug也就和我无关了。

  1. 重新线刷了twrp, 四清
  2. 错误
  • 报错 “Wrong modem”
  • called abort()
  • ended with error: 7
  1. 日志

日志:https://cloud.189.cn/t/j6zaM3i6z632
坚果pro2
MK90.0-osborn-200130-RELEASE.zip

Installing zip file '/sdcard/MK90.0-osborn-200130-RELEASE.zip'
Checking for Digest file...
I:Update binary zip
Verifying package compatibility...
Package doesn't contain compatibility.zip entry
I:Extracting updater binary 'META-INF/com/google/android/update-binary'
I:Zip does not contain SELinux file_contexts file in its root.
I:Legacy property environment not used in updater.
SELinux: Loaded file_contexts
__bionic_open_tzdata: couldn't find any tzdata when looking for CST6CDT,M3.2.0,M11.1.0!
__bionic_open_tzdata: couldn't find any tzdata when looking for posixrules!
******************************************************************************
*                                     **                                     *
*       !!!!! FBI WARNING !!!!!       **       !!!!! FBI WARNING !!!!!       *
*                                     **                                     *
*       !!!!! Wrong modem !!!!!       **       !!!!! Wrong modem !!!!!       *
*                                     **                                     *
******************************************************************************
script aborted: called abort()
called abort()error: 25
Updater process ended with ERROR: 7
I:Install took 1 second(s).
Error installing zip file '/sdcard/MK90.0-osborn-200130-RELEASE.zip'
Updating partition details...
I:Data backup size is 0MB, free: 51908MB.
I:Unable to mount '/usb-otg'
I:Actual block device: '', current file system: 'vfat'
...done

底包版本不对。和assert机型无关。

删除判断代码会使你的系统运行在不匹配的底包上,由此可能造成的耗电异常、信号异常、指纹或Wi-Fi不工作的情况后果请你自行负责。

是要在twrp中安装 `RADIO-osborn-20191025121459.zip` 吗,之前用的时候`信号,数据,wifi`正常使用,指纹没有试过

又按教程走了一遍,先安装底包,再安Mokee,还是报一样的错

该主题在最后一个回复创建后30天后自动关闭。不再允许新的回复。